function SUI_ChatFrame_OnLoad(this)
	this:RegisterEvent("UPDATE_CHAT_FRAMES");
	this:RegisterEvent("LOADING_END");
end

function SUI_ChatFrame_OnEvent(this, event)
	if (event == "LOADING_END") then
		ChatFrameEmoteButton:Hide();
		ChatFrameRestoreButton:Hide();
		
		ChatFrame1:ClearAllAnchors();
		ChatFrame1:SetAnchor("BOTTOMLEFT", "BOTTOMLEFT", UIParent, 0, -21);
		
		ChatFrameEditBox:ClearAllAnchors();
		ChatFrameEditBox:SetAnchor("BOTTOMRIGHT","TOPRIGHT", ChatFrame1, 0, 0);
		ChatFrameEditBox:SetAnchor("BOTTOMLEFT","TOPLEFT", ChatFrame1, 0, 0);
		
		for i = 1, 10 do
			local chatTab = getglobal("ChatFrame"..i.."Tab");
			local chatTabLeft = getglobal("ChatFrame"..i.."TabLeft");
			local chatTabRight = getglobal("ChatFrame"..i.."TabRight");
			local chatTabMiddle = getglobal("ChatFrame"..i.."TabMiddle");
			local chatTabText = getglobal("ChatFrame"..i.."TabText");
			chatTab:SetSize(64, 16);
			chatTabLeft:SetSize(8, 16);
			chatTabRight:SetSize(8, 16);
			chatTabMiddle:SetSize(1, 16);
			chatTabText:SetColor(1, 1, 0);
		end
		
		for i = 1, 10 do
			local scrollUp = getglobal("ChatFrame"..i.."ScrollBarUpButton");
			local scrollDown = getglobal("ChatFrame"..i.."ScrollBarDownButton");
			local chat = getglobal("ChatFrame"..i);
			scrollUp:ClearAllAnchors();
			scrollUp:SetAnchor("TOPLEFT","TOPLEFT", chat, 6, 6);
			scrollDown:ClearAllAnchors();
			scrollDown:SetAnchor("BOTTOMLEFT","BOTTOMLEFT", chat, 6, -6);
		end
		UIDropDownMenu_SetAnchor(ChatFrameEmoteDropdown, -2, -18, "BOTTOMLEFT", "BOTTOMLEFT", UIParent);
	end
end

function SUI_ChatEditMenu(chat)
	local chatheader = ChatFrameEditBoxHeader:GetText();
	local chatsend = getglobal("CHAT_"..chat.."_SEND");
	if ChatFrameEditBox:IsVisible() and string.find(chatheader, chatsend) then
		HideUIPanel(ChatFrameEditBox);
	else
		ChatEditMenu_SetChatType(DEFAULT_CHAT_EDITBOX, chat);
	end
end